org.apache.cassandra.cql3

## Class ResultSet.Codec

- java.lang.Object
- - org.apache.cassandra.cql3.ResultSet.Codec

All Implemented Interfaces:
  CBCodec<ResultSet>

Enclosing class:
  ResultSet

    public static class ResultSet.Codec
    extends java.lang.Object
    implements CBCodec<ResultSet>

### Constructor Summary

Constructors
Constructor and Description
`Codec()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResultSet` `decode(io.netty.buffer.ByteBuf body, ProtocolVersion version)`
`void` `encode(ResultSet rs, io.netty.buffer.ByteBuf dest, ProtocolVersion version)`
`int` `encodedSize(ResultSet rs, ProtocolVersion version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Codec

    public Codec()

### Method Detail

#### decode

    public ResultSet decode(io.netty.buffer.ByteBuf body,
                            ProtocolVersion version)

Specified by:
  `decode` in interface `CBCodec<ResultSet>`

#### encode

    public void encode(ResultSet rs,
                       io.netty.buffer.ByteBuf dest,
                       ProtocolVersion version)

Specified by:
  `encode` in interface `CBCodec<ResultSet>`

#### encodedSize

    public int encodedSize(ResultSet rs,
                           ProtocolVersion version)

Specified by:
  `encodedSize` in interface `CBCodec<ResultSet>`